## nss 3.12.8

=== debian/changelog ===
nss (3.12.8-1+squeeze9) squeeze-lts; urgency=low

  * Non-maintainer upload by the Squeeze LTS Team.
  * Fix CVE-2014-1568: RSA signature verification bypass.

 -- Holger Levsen <holger@debian.org>  Thu, 25 Sep 2014 07:56:39 +0000

nss (3.12.8-1+squeeze8) squeeze-lts; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2014-1492: Incorrect IDNA domain name matching for wildcard
    certificates.
  * Fix CVE-2014-1491: Do not allow p-1 as a public DH value.
  * Fix CVE-2013-5606: Properly return a certificate validation error when
    using the verifylog mode.
  * Fix CVE-2013-1741: Runaway memset in certificate parsing on 64-bit
    computers leading to a crash by attempting to write 4Gb of nulls.

 -- Raphael Geissert <geissert@debian.org>  Tue, 29 Jul 2014 10:20:05 +0200

nss (3.12.8-1+squeeze7) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-5605.patch.
    CVE-2013-5605: Null_Cipher() does not respect maxOutputLen; allowing
    remote attackers to cause a denial of service or possibly have
    unspecified other impact via invalid handshake packets.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 23 Nov 2013 07:33:29 +0100

nss (3.12.8-1+squeeze6) stable-security; urgency=low

  * Explicitly distrust two intermediate CA certificates mis-issued by
    TURKTRUST.

 -- Mike Hommey <glandium@debian.org>  Fri, 04 Jan 2013 10:32:09 +0100

nss (3.12.8-1+squeeze5) stable-security; urgency=low

  * Address CVE-2012-0441 (Insufficient length checking in QuickDER decoder)
  * debian/rules: Work around NSS not building on Linux 3.x kernels.

 -- Mike Hommey <glandium@debian.org>  Sat, 02 Jun 2012 09:46:21 +0200

nss (3.12.8-1+squeeze4) stable-security; urgency=low

  * Explicitly distrust malaysian Digicert Sdn. Bhd CA certificate.
  * Address CVE-2011-3640 (Untrusted search path vulnerability).
    Closes: #647614.

 -- Mike Hommey <glandium@debian.org>  Sun, 06 Nov 2011 09:01:08 +0100

nss (3.12.8-1+squeeze3) stable-security; urgency=low

  * mozilla/security/nss/lib/ckfw/builtins/certdata.*:
    Explicitly distrust various DigiNotar CAs:
    - DigiNotar Root CA
    - DigiNotar Services 1024 CA
    - DigiNotar Cyber CA
    - DigiNotar Cyber CA 2nd
    - DigiNotar PKIoverheid
    - DigiNotar PKIoverheid G2

 -- Mike Hommey <glandium@debian.org>  Sat, 03 Sep 2011 09:32:46 +0200

nss (3.12.8-1+squeeze2) stable-security; urgency=low

  * mozilla/security/nss/lib/ckfw/builtins/certdata.*:
    Remove DigiNotar Root CA.

 -- Mike Hommey <glandium@debian.org>  Wed, 31 Aug 2011 08:54:44 +0200

nss (3.12.8-1+squeeze1) stable-security; urgency=low

  * debian/rules: Fallback to DEB_BUILD_ARCH when dpkg-architecture does't
    support DEB_BUILD_ARCH_BITS.
  * debian/control: Lower build depends on dpkg-dev to (>= 1.13.19), which
    was the value before starting to use DEB_BUILD_ARCH_BITS.
  * mozilla/security/nss/lib/ckfw/builtins/certdata.*: Mark fraudulent
    Comodo certificates as untrusted.

 -- Mike Hommey <glandium@debian.org>  Thu, 24 Mar 2011 17:09:25 +0100

nss (3.12.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refresh patches.
  * debian/patches/series:
    + lower-dhe-priority.patch: Upstream patch from bz#583337 to lower DHE
      priority. Closes: #592315.

 -- Mike Hommey <glandium@debian.org>  Thu, 07 Oct 2010 08:50:48 +0200

nss (3.12.8~b2-1) experimental; urgency=low

  * New upstream snapshot, picked from NSS_3_12_8_BETA2 cvs tag.
  * debian/patches/*: Refresh patches.

 -- Mike Hommey <glandium@debian.org>  Mon, 23 Aug 2010 18:11:12 +0200

nss (3.12.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refresh patches.
  * debian/control:
    - Bump Standards-Version to 3.9.1.0.
    - Build depend on libnspr4-dev >= 4.8.6.
  * debian/libnss3-1d.symbols: Simplify symbols file and add new symbols.
  * debian/rules: Bump shlibs.

 -- Mike Hommey <glandium@debian.org>  Fri, 06 Aug 2010 13:55:14 +0200

nss (3.12.6-3) unstable; urgency=low

  * debian/rules:
    + Sign libnssdbm3.so. Closes: #588806.
    + Test that the FIPS mode can be properly enabled during build.
  * debian/control:
    + Remove conflicts with very old packages.
    + Bump Standards-Version to 3.9.0.0.

 -- Mike Hommey <glandium@debian.org>  Mon, 12 Jul 2010 15:12:24 +0200

nss (3.12.6-2) unstable; urgency=low

  * debian/patches/series:
    + 00_ckbi_1.79.patch: New patch to update CKBI to 1.79.
    + 95_add_spi+cacert_ca_certs.patch: Refreshed against CKBI 1.79.

 -- Mike Hommey <glandium@debian.org>  Fri, 09 Apr 2010 10:45:01 +0200

nss (3.12.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refresh patches.
  * debian/libnss3-1d.symbols, debian/rules: Update symbols file with new
    symbols and bump shlibs.
  * debian/patches/97_SSL_RENEGOTIATE_TRANSITIONAL.patch,
    debian/patches/series: Enable transitional scheme for ssl renegotiation.
    Closes: #561918.
  * debian/control:
    + Bump Standards-Version to 3.8.4.0.
    + Drop libnss3-1d dependency on dpkg. The versions it didn't really like
      were between oldstable and stable.
    + Don't allow different versions of libnss3-1d, libnss3-1d-dbg and
      libnss3-tools to be installed at the same time.
    + Add ${misc:Depends} to libnss3-1d-dbg dependencies.
  * debian/rules: Revert workaround for gcc 4.4 bug on powerpc with -Os.
  * debian/rules, debian/control, debian/compat: Simplify debian/rules by
    using dh.

 -- Mike Hommey <glandium@debian.org>  Wed, 17 Mar 2010 20:33:32 +0100

nss (3.12.5-2) unstable; urgency=low

  * debian/control:
    + Remove build dependency on autotools-dev, we don't use it.
    + libnss3-dev depends on libnspr4-dev >= 4.6.6-1. 4.6.6-1 was the first
      version where the pkg-config file was nspr.pc instead of
      xulrunner-nspr.pc. Closes: #567134.
  * debian/patches/96_NSS_VersionCheck.patch, debian/patches/series:

