## nss 3.13.1.with.ckbi.1.88

=== debian/changelog ===
nss (3.13.1.with.ckbi.1.88-1ubuntu6) precise; urgency=low

  * Add protect-against-calls-before-nss_init.patch (RHBZ #784672).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 27 Feb 2012 14:45:29 +0200

nss (3.13.1.with.ckbi.1.88-1ubuntu5) precise; urgency=low

  * Include libnssckfw.a in the -dev package, also needed by
    mod_revocator.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sun, 19 Feb 2012 15:21:19 +0200

nss (3.13.1.with.ckbi.1.88-1ubuntu4) precise; urgency=low

  * Include libnssb.a in the -dev package, needed by mod_revocator.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sun, 19 Feb 2012 13:18:09 +0200

nss (3.13.1.with.ckbi.1.88-1ubuntu3) precise; urgency=low

  * Fix LP: #915069 - Add patch from upstream to fix an error in pkcs11n.h
    - add debian/patches/98_fix_header_error.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 12 Jan 2012 11:15:39 +0000

nss (3.13.1.with.ckbi.1.88-1ubuntu2) precise; urgency=low

  * Fix lintian overrides to just list the soname warning to ignore
    and not list the paths, which would break installing multiarched libs.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 12 Dec 2011 13:06:15 +0200

nss (3.13.1.with.ckbi.1.88-1ubuntu1) precise; urgency=low

  * Merge from Debian testing. Remaining changes:
    - Ship the main SO files in an unversioned binary, as we don't have
      versioned SO's in Ubuntu. Maintain a transitional versioned binary
      package containing the versioned symlinks, to maintain compatibility
      with Debian
      * update control, rules
      * mass rename libnss3-1d* => libnss3*
    - Fix postinst-must-call-ldconfig - dh_makeshlibs doesn't seem to add
      the maintainer script hooks with the unversioned SO files, so add
      them manually
      * add libnss3.postinst, libnss3.postrm
    - rules: Add support for mozilla-devscripts.
    - control: Change Vcs-* to XS-Debian-Vcs-*.
  * control: Fix typo (LP: #855424)
  * Bugs fixed by the merge:
    - Using dh now (LP: #613477)
    - Adds 85_security_load.patch (LP: #315096)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 30 Nov 2011 11:16:39 +0200

nss (3.13.1.with.ckbi.1.88-1) unstable; urgency=low

  * New upstream release.
    - Distrusts malaysian Digicert Sdn. Bhd CA certificate.
    - Addresses CVE-2011-3640 (Untrusted search path vulnerability).
      Closes: #647614.
  * debian/patches/*: Refreshed patches.
  * debian/libnss3-1d.symbols: Add NSS 3.13 symbols.

 -- Mike Hommey <glandium@debian.org>  Sat, 05 Nov 2011 17:05:26 +0100

nss (3.12.11-3) unstable; urgency=high

  * mozilla/security/nss/lib/ckfw/builtins/certdata.*:
    Explicitely distrust various DigiNotar CAs:
    - DigiNotar Root CA
    - DigiNotar Services 1024 CA
    - DigiNotar Cyber CA
    - DigiNotar Cyber CA 2nd
    - DigiNotar PKIoverheid
    - DigiNotar PKIoverheid G2

 -- Mike Hommey <glandium@debian.org>  Sat, 03 Sep 2011 09:33:28 +0200

nss (3.12.11-2) unstable; urgency=high

  * mozilla/security/nss/lib/ckfw/builtins/certdata.*:
    Remove DigiNotar Root CA.

 -- Mike Hommey <glandium@debian.org>  Wed, 31 Aug 2011 08:49:00 +0200

nss (3.12.11-1) unstable; urgency=low

  * New upstream release.
  * mozilla/security/nss/lib/ckfw/builtins/certdata.*,
  * mozilla/security/coreconf/{config,Linux}.mk: Refreshed.
  * debian/copyright: Update dbm license according to that in the source.
    Closes: #624310

 -- Mike Hommey <glandium@debian.org>  Fri, 12 Aug 2011 12:45:08 +0200

nss (3.12.10-3) unstable; urgency=low

  * debian/nss-config.in, debian/nss.pc.in, debian/rules: Return the multiarch
    path in nss-config and nss.pc.

 -- Mike Hommey <glandium@debian.org>  Thu, 21 Jul 2011 18:08:48 +0200

nss (3.12.10-2) unstable; urgency=low

  * debian/control, debian/libnss3-1d.dirs,
    debian/libnss3-1d.lintian-overrides.in, debian/libnss3-dev.dirs,
    debian/libnss3-1d.links.in, debian/libnss3-dev.links.in,
    debian/rules: Switch to multi-arch while keeping backports easy.
    Closes: #497088.

 -- Mike Hommey <glandium@debian.org>  Mon, 04 Jul 2011 11:24:18 +0200

nss (3.12.10-1) unstable; urgency=low

  * New upstream release.
  * mozilla/security/nss/lib/ckfw/builtins/certdata.*: Refreshed.
  * debian/control: Build depend on libnspr4-dev >= 4.8.8.
  * debian/libnss3-1d.symbols: Add new symbol version.

 -- Mike Hommey <glandium@debian.org>  Wed, 25 May 2011 10:20:59 +0200

nss (3.12.9.with.ckbi.1.82-1) unstable; urgency=low

  * New upstream release.
    - Marks fraudulent Comodo certificates as untrusted.
  * mozilla/security/nss/lib/ckfw/builtins/certdata.*: Refreshed.

 -- Mike Hommey <glandium@debian.org>  Thu, 24 Mar 2011 16:37:46 +0100

nss (3.12.9+ckbi-1.82-0ubuntu6) oneiric; urgency=low

  * No-change rebuild to force a version bump, forcing upgrades,
    and restoring the deleted library that ca-certificates ate.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 21 Sep 2011 14:42:05 -0600

nss (3.12.9+ckbi-1.82-0ubuntu5) oneiric; urgency=low

  * SECURITY UPDATE: Add patch from Debian version 3.12.11-3 rebased against
    3.12.9 to remove the DigiNotar certificates and actively distrust them;
    Thanks to Mike Hommey from Debian for the original patch (LP: #837557)
    - mozilla/security/nss/lib/ckfw/builtins/certdata.*:
      Explicitely distrust various DigiNotar CAs:
      - DigiNotar Root CA
      - DigiNotar Services 1024 CA
      - DigiNotar Cyber CA
      - DigiNotar Cyber CA 2nd
      - DigiNotar PKIoverheid
      - DigiNotar PKIoverheid G2
    - mozilla/security/nss/lib/ckfw/builtins/certdata.*:
      Remove DigiNotar Root CA.
  * Add a symlink from Linux2.6.mk to Linux3.0.mk; This is a temporary hack to
    let NSS build on a 3.0.x kernel
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 09 Sep 2011 11:57:13 -0500

nss (3.12.9+ckbi-1.82-0ubuntu4) oneiric; urgency=low

  * nss-config, nss.pc: Fix multiarch libdir location. LP: #778726.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 May 2011 16:33:57 +0200


