## nss 3.13.2~beta1

=== debian/changelog ===
nss (3.13.2~beta1-2) experimental; urgency=low

  * mozilla/security/nss/lib/ssl/*,
    mozilla/security/nss/cmd/tstclnt/tstclnt.c,
    mozilla/security/nss/tests/ssl/ssl.sh: Apply patches from bz#542832,
    required for Iceweasel 11.

 -- Mike Hommey <glandium@debian.org>  Fri, 23 Dec 2011 17:39:57 +0100

nss (3.13.2~beta1-1) experimental; urgency=low

  * New upstream snapshot, picked from NSS_3_13_2_BETA1 cvs tag.
  * debian/libnss3-1d.symbols: Add NSS 3.13.2 symbols.

 -- Mike Hommey <glandium@debian.org>  Fri, 23 Dec 2011 16:22:05 +0100
