=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
--include /usr/share/mozilla-devscripts/nss.mk
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -66,13 +64,10 @@
 	rm -rf $(DISTDIR) $(PREPROCESS_FILES:.in=)
 
 override_dh_auto_install: $(PREPROCESS_FILES:.in=)
-	install -m 755 -d debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
-	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH) \
-		$(DISTDIR)/lib/libssl3.so \
-		$(DISTDIR)/lib/libsmime3.so \
-		$(DISTDIR)/lib/libnssutil3.so \
-		$(DISTDIR)/lib/libnss3.so
-	install -m 644 -t debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
+	install -m 755 -d debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	install -m 644 -t debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH) \
+		$(DISTDIR)/lib/*.so.1d
+	install -m 644 -t debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
 		$(DISTDIR)/lib/libfreebl3.so \
 		$(DISTDIR)/lib/libsoftokn3.so \
 		$(DISTDIR)/lib/libnssdbm3.so \
@@ -81,9 +76,7 @@
 	install -m 644 -t debian/libnss3-dev/usr/include/nss \
 		$(DISTDIR)/public/nss/*
 	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH) \
-		$(DISTDIR)/lib/libcrmf.a \
-		$(DISTDIR)/lib/libnssb.a \
-		$(DISTDIR)/lib/libnssckfw.a
+		$(DISTDIR)/lib/libcrmf.a
 	install -m 644 -t debian/libnss3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig debian/nss.pc
 	install -m 755 -t debian/libnss3-dev/usr/bin debian/nss-config
 
@@ -92,19 +85,17 @@
 		$(DISTDIR)/bin/$(bin))
 
 override_dh_strip:
-	dh_strip -a --dbg-package=libnss3-dbg
+	dh_strip -a --dbg-package=libnss3-1d-dbg
 	$(foreach lib,libsoftokn3.so libfreebl3.so libnssdbm3.so, \
-		LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
-		debian/libnss3-tools/usr/bin/shlibsign -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib);)
+		LD_LIBRARY_PATH=debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
+		debian/libnss3-tools/usr/bin/shlibsign -v -i debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib);)
 	# Check FIPS mode correctly works
 	mkdir debian/tmp
-	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
-	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null
+	LD_LIBRARY_PATH=debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
+	LD_LIBRARY_PATH=debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3-1d/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a -V 'libnss3 (>= 3.12.9~beta2)' -- -c4 \
-		$(foreach lib,libnss3.so libnssutil3.so libsmime3.so libssl3.so, \
-		-edebian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/$(lib))
+	dh_makeshlibs -a -V 'libnss3-1d (>= 3.12.9~beta2)' -- -c4
 
 ifneq (,$(DEB_HOST_MULTIARCH))
 override_dh_gencontrol:
